/**
  扩展一个 mymod 模块
**/      
 
layui.define("layer",function(exports){ //提示：模块也可以依赖其它模块，如：layui.define('mod1', callback);

  var obj = {
    hello: function(str){
      alert('Hello '+ (str||'mymod'));
    },


   openimg:function(url){
        	type="auto"
            layer.open({
            type: 1
            ,offset: type //具体配置参考：http://www.layui.com/doc/modules/layer.html#offset
            ,id: 'layerDemo'+type //防止重复弹出
            ,content: '<div style="padding: 20px 100px;"><img src='+url+' style="width:150px;height:150px"></div>'
            ,btn: '关闭'
            ,btnAlign: 'c' //按钮居中
            ,shade: 0 //不显示遮罩
            ,yes: function(){
              layer.closeAll();
            }
      });
     }
  };
  
  //输出 mymod 接口
  exports('common', obj);
});    
    